> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List references or get by ID

> Returns a single reference if ?id= is provided, or a list. Filter by ?platform= or ?tag.key=value.



## OpenAPI

````yaml /openapi/spec.json get /v1/references
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/references:
    get:
      tags:
        - References
      summary: List references or get by ID
      description: >-
        Returns a single reference if ?id= is provided, or a list. Filter by
        ?platform= or ?tag.key=value.
      operationId: listOrGetReferences
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
          explode: false
        - name: platform
          in: query
          required: false
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Reference'
                  - $ref: '#/components/schemas/ReferenceListResponse'
components:
  schemas:
    Reference:
      type: object
      required:
        - referenceId
        - clientId
        - url
        - status
        - createdAt
      properties:
        referenceId:
          type: string
        clientId:
          type: string
        url:
          type: string
        platform:
          type: string
        notes:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        metadata: {}
        status:
          type: string
          enum:
            - active
            - deleted
        createdAt:
          type: number
          format: double
    ReferenceListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Reference'
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````